From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 21 March 2004<P>

Rens; We went from 70 degrees to 30 in nothing flat with winds howling and thunder and lightening. The power went out in the middle of the night and didn't come back on till dawn. I never knew how black as ink it was at night till I tried manuvering thru the house, ha (I'm on my way to the store right now for batteries for flashlights ha) The wind sounded like a ghost howling. Glad to have caught up with you yesterday and hope we can get together later this week.<BR>
<BR>
bk
<HR>